/*
  Copyright 1996-2001
  Simon Whiteside

  $Id: ExecuteResult.java,v 1.4 2001/05/09 10:30:18 sdw Exp $
*/
package simkin;

/**
 * This class is used by the {@link simkin.Interpreter Interpreter} to return the result of an execute() method.
 * <p>The class contains the result of the method, along with the method's parse-tree, which can be cached for
 * swifter execution next time.
 */
public class ExecuteResult {
    Object m_Result;
    ParseNode m_ParseTree=null;
    ExecuteResult(Object result,ParseNode parseTree){
	m_Result=result;
	m_ParseTree=parseTree;
    }
    /**
     * Returns the method call result
     * @return the result of the method call, as an Object
     */
    public Object getResult(){
	return m_Result;
    }
    /**
     * Returns the parse tree for the method, which can be cached and passed to a faster execute() method
     * @return the parse tree for the method, which can be cached and passed to a faster execute() method
     */
    public ParseNode getParseTree(){
	return m_ParseTree;
    }
}
